%define libname %mklibname %name %version
%define devname %mklibname %name -d

Summary:        The SWORD Project framework for manipulating Bible texts
Name:           sword
Version:        1.6.2
Release:        %mkrel 8
License:        GPLv2+
URL:            http://www.crosswire.org/sword/software/
Source:         http://www.crosswire.org/ftpmirror/pub/sword/source/v1.6/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.zedz.net/pub/crypto/crypto/LIBS/sapphire/sapphire.zip 
Source2:        sword_icons.tar.bz2
# patch taken from Fedora:
# http://pkgs.fedoraproject.org/gitweb/?p=sword.git;a=blob_plain;f=sword-no-curl-types.patch;hb=HEAD
Patch0:         sword-no-curl-types.patch
Group:          System/Libraries
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  curl-devel
BuildRequires:  icu-devel
BuildRequires:  icu
BuildRequires:  idn-devel
BuildRequires:  clucene-devel
BuildRequires:  cppunit-devel
Requires:       %libname = %{version}
Requires:       curl


%description
The SWORD Project is an effort to create an ever expanding software package 
for research and study of God and His Word.  The SWORD Framework 
allows easy manipulation of Bible texts, commentaries, lexicons, dictionaries, 
etc.  Many frontends are build using this framework.  An installed module 
set may be shared between any frontend using the framework.

%package -n %libname
Summary:         Main library for sword
Group:           System/Libraries

%description -n %libname
This package contains the library needed to run programs dynamically
linked with sword.

%package -n %devname
Summary:         Development files for lib%name
Group:           Development/C
Requires:        %libname = %{version}
Provides:        %{name}-devel = %{version}-%{release}
Provides:        lib%{name}-devel = %{version}-%{release}

%description -n %devname
This package contains the headers that programmers 
will need to develop applications which will use the SWORD Bible Framework.

%prep
%setup -q -a2

%patch0 -p1 -b .no-curl-types

%{_bindir}/unzip -d sapphire %{SOURCE1}
%{__cp} -a sapphire/SAPPHIRE.H include/sapphire.h
%{__cp} -a sapphire/SAPPHIRE.CPP src/modules/common/sapphire.cpp

%build
%{configure2_5x} --with-zlib --with-curl --with-icu --with-clucene --enable-shared --enable-utilities --disable-debug --with-conf
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%{__install} -m 0755 utilities/{mkfastmod,mod2vpl,vpl2mod} %{buildroot}%{_bindir}

rm -f %buildroot%_defaultdocdir/%name/Makefile.am

# remove .la and .a files
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%files
%doc README AUTHORS NEWS INSTALL LICENSE ChangeLog 
%doc samples doc/*.*
%attr(0755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/sword/%{version}_icu_*/translit_*.res
%config(noreplace) %{_sysconfdir}/sword.conf

%files -n %libname
%{_libdir}/*%{name}-%{version}.so

%files -n %devname
%attr(0755,root,root) %dir %{_includedir}/sword
%{_includedir}/sword/*.*
%{_libdir}/*%{name}.so
%{_libdir}/pkgconfig/*.pc


%changelog

* Fri Sep 30 2011 fwang <fwang> 1.6.2-8.mga2
+ Revision: 150476
- rebuild for new clucene

* Wed Sep 28 2011 doktor5000 <doktor5000> 1.6.2-6.mga2
+ Revision: 149881
- fix missing curl/types.h compile problem (no-curl-types.patch, from Fedora)
- remove .la and .a files
- remove -static subpackage
- remove Makefile.am from installed files
- proper libification, removed unused major
- fixed Summary and Group of -devel subpackage
- fixed Summary for libsword subpackage
- added BuildRequires on clucene-devel, idn-devel, zlib-devel, openssl-devel and cppunit
- added configure switches to explicitly enable zlib-, icu- and clucene-support
- removed obsolete %%defattrs, %%clean and BuildRoot
- removed versioned Build-/Requires for curl
- removed Obsoletes
- imported package sword


* Mon Jun 20 2011 Oden Eriksson <oeriksson@mandriva.com> 1.6.2-4mdv2011.0
+ Revision: 686324
- avoid pulling 32 bit libraries on 64 bit arch

* Sun Jun 05 2011 Funda Wang <fwang@mandriva.org> 1.6.2-3
+ Revision: 682818
- rebuild for new icu

* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 1.6.2-2
+ Revision: 644601
- cleanup old language section
- rebuild for new icu

* Mon Oct 25 2010 Buchan Milne <bgmilne@mandriva.org> 1.6.2-1mdv2011.0
+ Revision: 589290
- New version 1.6.2
- fix the icu transliteration file paths to not embed version numbers

* Mon Sep 06 2010 Buchan Milne <bgmilne@mandriva.org> 1.6.1-1mdv2011.0
+ Revision: 576291
- Buildrequires icu and icu-devel
- New version 1.6.1

* Sat Jun 06 2009 Frederik Himpe <fhimpe@mandriva.org> 1.6.0-1mdv2010.0
+ Revision: 383327
- Update to new version 1.6.0

* Fri Aug 15 2008 Buchan Milne <bgmilne@mandriva.org> 1.5.11-1mdv2009.0
+ Revision: 272232
- update to new version 1.5.11

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Funda Wang <fwang@mandriva.org> 1.5.10-1mdv2008.1
+ Revision: 116226
- New version 1.5.10


* Sat Jan 06 2007 David Walluck <walluck@mandriva.org> 1.5.9-1mdv2007.0
+ Revision: 104737
- 1.5.9

* Sat Jan 06 2007 David Walluck <walluck@mandriva.org> 1.5.8-3mdv2007.1
+ Revision: 104726
- Import sword

* Thu Sep 07 2006 Buchan Milne <bgmilne@mandriva.org> 1.5.8-3mdv2007.0
- rebuild

* Fri Nov 25 2005 Buchan Milne <bgmilne@mandriva.org> 1.5.8-2mdk
- rebuild to provide missing srpm

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.8-1mdk
- New release 1.5.8
- make it build on x86_64 (use %%configure)
- cleanups
- use %%mkrel (since it can do everything the excess macros were doing)
- rpmbuildupdate-able
- drop p0

* Thu Aug 26 2004 Buchan Milne<bgmilne@linux-mandrake.com> 1.5.7a-1mdk
- bump lib major
- changes from Lonnie Borntreger <cooker@borntreger.com>
  - rework patch0 for new source snapshot
  - remove patch1, merged upstream

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5.7-4mdk
- lowerize optimization level thus preventing some segfaults in libsword3

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5.7-3mdk
- rebuild

* Sat Jul 17 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.7-3mdk
- rebuild for curl, fix requires/buildrequires

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.5.7-2mdk
- Rebuild

